libvotca_csg5-1.5-2.1.x86_64.rpm


Advertisement

Description

libvotca_csg5 - Libraries for the VOTCA coarse graining engine

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename libvotca_csg5-1.5-2.1.x86_64.rpm
Package name libvotca_csg5
Package version 1.5
Package release 2.1
Package architecture x86_64
Package type rpm
Category System/Libraries
Homepage http://www.votca.org
License Apache-2.0
Maintainer -
Download size 287.13 KB
Installed size 938.63 KB
Versatile Object-oriented Toolkit for Coarse-graining Applications (VOTCA) is
a package to reduce the amount of routine work when doing systematic
coarse-graining of various systems. The core is written in C++.
This package contains libraries for the Coarse Graining Engine of VOTCA.

Alternatives

Package Version Architecture Repository
libvotca_csg5-1.5-3.1.x86_64.rpm 1.5 x86_64 Science
libvotca_csg5-1.5-3.1.i586.rpm 1.5 i586 Science
libvotca_csg5-1.5-2.1.i586.rpm 1.5 i586 openSUSE Oss
libvotca_csg5 - - -

Requires

Name Value
/sbin/ldconfig -
libboost_filesystem.so.1.69.0()(64bit) -
libboost_program_options.so.1.69.0()(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libgcc_s.so.1()(64bit) -
libgcc_s.so.1(GCC_3.0)(64bit) -
libgromacs.so.3()(64bit) -
libhdf5.so.103()(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libm.so.6(GLIBC_2.29)(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(CXXABI_1.3.5)(64bit) -
libstdc++.so.6(CXXABI_1.3.8)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.11)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.15)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.18)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.20)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.21)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.9)(64bit) -
libvotca_tools.so.5()(64bit) -

Provides

Name Value
libvotca_csg.so.5()(64bit) -
libvotca_csg5 = 1.5-2.1
libvotca_csg5(x86-64) = 1.5-2.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libvotca_csg5-1.5-2.1.x86_64.rpm
Source Package votca-csg-1.5-2.1.src.rpm

Install Howto

Install libvotca_csg5 rpm package:

# zypper install libvotca_csg5

Files

Path
/usr/lib64/libvotca_csg.so.5
/usr/share/doc/packages/libvotca_csg5/LICENSE
/usr/share/man/man7/votca-csg.7.gz

Changelog

2019-04-02 - Christoph Junghans <junghans@votca.org>
- fix build with boost-1.69
2019-01-31 - Christoph Junghans <junghans@votca.org>
- Upgrade to 1.5
* cmake: only run csg_dump test if bash was found
* added REGRESSIONTEST_TOLERANCE cmake option
* added bug fix for memory leak in bead class
* added topology unit test
* added support for 3 body distribution
* allow usage of _ in gmx options
* support espresso-4.0
* added LAMMPS data topology reader
* added LAMMPS dump writer
* added support for gmx-2019
* move from gsl to Eigen3
* added support for running gmx in multidir mode
* extended pdb reader to read CONECT section
* reworked perl interface to fix #179
* make most install locations configureable
* allow to change pot extrapolation fct for LAMMPS
* dropped support for gmx-5.1
* added unit and regression tests
* details: https://github.com/votca/csg/blob/master/CHANGELOG.md
2017-09-03 - junghans@votca.org
- Upgrade to 1.4.1
* fix pkg-config files
* fix build with gmx-2017
* added CSG_MDRUN_OPTS to run_gromacs.sh
* table_to_tab.pl: fix forces for LAMMPS
* csg_inverse: warn users of bug #179
* run_gromacs.sh: check nstxout-compressed
* details: https://github.com/votca/csg/blob/master/CHANGELOG.md
2017-02-02 - adam.majer@suse.de
- use individual libboost-*-devel packages instead of boost-devel
2016-10-31 - jengelh@inai.de
- Update descriptions.
2016-10-29 - junghans@votca.org
- Upgrade to 1.4
* added cibi tutorial and manual section
* xmltopologyparser: tokenize on \n and \t as well (#195)
* details: https://github.com/votca/csg/blob/master/CHANGELOG.md
2016-09-27 - junghans@votca.org
- Upgrade to 1.4_rc1
* switch to c++-11
* dihedral support in csg_fmatch
* support for tabulated bond in >=gmx-5
* added full featured XMLTopologyReader
* added regularization for IMC
* changed neighborlist from std::list to std::vector
* added cibi method
* lots of reader bug fixes
* dropped support for gromacs-4 and clean up
* dropped multi_g_rdf script
* dropped thermforce iteration method
* moved h5md reader to hdf5 without c++ api
* details: https://github.com/votca/csg/blob/master/CHANGELOG.md
2016-08-21 - jengelh@inai.de
- RPM group update
2016-08-19 - junghans@votca.org
- Upgrade to 1.3.1
* fixed build with >=cmake-3.4
* details: https://github.com/votca/csg/blob/master/CHANGELOG.md
2016-01-15 - junghans@votca.org
- Upgrade to 1.3
* re-implemented csg_boltzmann --excl
* added support for upcoming gromacs 2016
* details see 1.3 section of:
https://github.com/votca/csg/blob/master/CHANGELOG.md
or included CHANGELOG.md file

See Also

Package Description
libvotca_ctp5-1.5-1.2.i586.rpm VOTCA charge transport module
libvotca_ctp5-1.5-1.2.x86_64.rpm VOTCA charge transport module
libvotca_tools5-1.5-2.1.i586.rpm VOTCA tools library
libvotca_tools5-1.5-2.1.x86_64.rpm VOTCA tools library
libvotca_xtp5-1.5-1.2.i586.rpm VOTCA excitation and charge properties module
libvotca_xtp5-1.5-1.2.x86_64.rpm VOTCA excitation and charge properties module
libvotequorum8-2.4.4-3.6.i586.rpm Corosync vote quorum library
libvotequorum8-2.4.4-3.6.x86_64.rpm Corosync vote quorum library
libvotequorum8-32bit-2.4.4-3.6.x86_64.rpm Corosync vote quorum library
libvpd2-2.2.6-3.1.i586.rpm VPD Database access library for lsvpd
libvpd2-2.2.6-3.1.x86_64.rpm VPD Database access library for lsvpd
libvpd2-32bit-2.2.6-3.1.x86_64.rpm VPD Database access library for lsvpd
libvpd2-devel-2.2.6-3.1.i586.rpm VPD Database access library for lsvpd
libvpd2-devel-2.2.6-3.1.x86_64.rpm VPD Database access library for lsvpd
libvpd2-devel-32bit-2.2.6-3.1.x86_64.rpm VPD Database access library for lsvpd
Advertisement
Advertisement